## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without docs

%global forgeurl https://github.com/ddinu/observable
%global commit ae3a59cc65c1cb65d27827adc4c1ef5a37298cb7
%forgemeta

%global common_description %{expand:
Observable provides generic observable objects for C++. Write declarative,
reactive expressions or just implement the observer pattern.}

%global debug_package %{nil}

Name:           observable
Version:        0
Release:        %autorelease
Summary:        Generic observable objects and reactive expressions for C++

License:        Apache-2.0
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         observable-use-system-catch.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  catch2-devel
%if %{with docs}
BuildRequires:  doxygen
BuildRequires:  python3-sphinx
%endif

%description
%{common_description}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
%{common_description}

%if %{with docs}
%package        doc
Summary:        Documentation for %{name}

%description    doc
This package contains documentation for %{name}.
%endif

%prep
%forgeautosetup -p1
# remove bundled version of catch
rm -r vendor

%build
%cmake
%cmake_build
%if %{with docs}
doxygen docs/doxygen
sphinx-build-3 docs/sphinx doc
rm -r doc/.doctrees
%endif

%install
# manually install the headers as the cmake install isn't useful
mkdir -p %{buildroot}%{_includedir}/observable
cp -pr observable/include/observable/* %{buildroot}%{_includedir}/observable/

%check
%ctest

%files devel
%license LICENSE.txt
%doc README.rst
%{_includedir}/observable

%if %{with docs}
%files doc
%license LICENSE.txt
%doc doc html
%endif

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 14 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0-8
- Update BR for catch2; Fixes: RHBZ#2226039

* Mon Aug 14 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0-7
- Convert license tag to SPDX

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0-1
- Initial package; Fixes RHBZ#1983331
## END: Generated by rpmautospec
